## ekeyd 1.1.2

=== daemon/Makefile ===
# Override any of these on the cmdline to change things. Remember to ensure
# that you override them during build as well as install though.
DESTDIR ?=
PREFIX ?= /usr
SYSCONFPREFIX ?= /etc/entropykey
RUNTIMEPREFIX ?= /var/run
MANPREFIX ?= $(PREFIX)/share/man/man
BUILD_ULUSBD ?= no
RM ?= rm -f
LUA_V ?= 5.1
EXTRA_INC ?=
LUA_INC ?= -I/usr/include/lua5.1
LIBDL ?= -ldl
PTHFLAGS ?=
PTHLIBS ?= -lpthread
KERNOUTOK :=
KERNOUTNOTOK := -- 
EGDSOCK := /etc/entropy
UDEVOK :=
MANZCMD := gzip -c
MANZEXT := .gz

all: all-programs all-scripts all-configs

# Attempt to detect an OS
OSNAME=$(shell uname -s | tr A-Z a-z | tr -d /)

ifeq ($(OSNAME),linux)
CFLAGS += -DEKEY_OS_LINUX -DEKEY_FULL_TERMIOS
all-programs: egd-linux
endif

ifeq ($(OSNAME),gnukfreebsd)
# Bizarre hybrid GNU/kFreeBSD platform is sort-of-GNU sort-of-FreeBSD
# So far, only seen in Debian's distribution.
CFLAGS += -DEKEY_OS_FREEBSD
# Incomplete termios support means no -DEKEY_FULL_TERMIOS
# FreeBSD's kernel lacks a kernel mode output
override KERNOUTOK := -- 
override KERNOUTNOTOK :=
# Lua is, however, likely installed in the usual places, so no need to fudge those.
else
ifeq ($(OSNAME),mirbsd)
CFLAGS += -DEKEY_OS_$(shell echo $(OSNAME) | tr a-z A-Z)
# Build the userland USBd support for older versions (recent MirBSD has support)
override BUILD_ULUSBD:=yes
override PTHFLAGS:=-pthread
override PTHLIBS:=
# System dependent settings
override LUA_INC:=
override LUA_V:=
override LIBDL:=
override OPT:=
override UDEVOK:=-- 
override MANZCMD:=cat
override MANZEXT:=
# see RAND_egd(3)
override EGDSOCK:=/var/run/egd-pool
ifeq ($(IN_MIRPORTS),)
# standalone compilation
INCLUDES += -I/usr/mpkg/include
LIBDIRS += -L/usr/mpkg/lib
endif
else
# Other BSDs ?
ifeq ($(findstring bsd,$(OSNAME)),bsd)
# *BSD doesn't have obvious cdc-acm support (may need recompilation of kernel) so offer
# the somewhat more hacky userland USBd support via libusb for now.
CFLAGS += -DEKEY_OS_$(shell echo $(OSNAME) | tr a-z A-Z)
override BUILD_ULUSBD:=yes
ifeq ($(OSNAME),freebsd)
override LUA_V:=-5.1
# FreeBSD's kernel lacks a kernel mode output
override KERNOUTOK := -- 
override KERNOUTNOTOK :=
endif
ifeq ($(OSNAME),openbsd)
override LUA_V:=
override PTHFLAGS:=-pthread
override PTHLIBS:=
override MANZCMD:=cat
override MANZEXT:=
endif
override LUA_INC:=-I/usr/local/include/lua51
override LIBDL:=
LIBDIRS += -L/usr/local/lib
INCLUDES += -I/usr/local/include
endif
endif
endif

all-programs: ekeyd ekey-setkey
all-scripts: ekey-rekey ekeydctl
all-configs: ekeyd.conf

ifneq ($(BUILD_ULUSBD),no)
all-programs: ekey-ulusbd
endif

INCLUDES += -I../device/frames/ -I../device/ -I../device/skein/ $(LUA_INC) $(EXTRA_INC)
OPT ?= -O2
CFLAGS += $(INCLUDES)
CFLAGS += -g -Wall $(OPT)
CFLAGS += -fno-strict-aliasing
LIBS += -llua$(LUA_V) -lm $(LIBDL)
CFLAGS += -std=c99 -Wall -pedantic -Wshadow -Werror -D_GNU_SOURCE
CFLAGS += '-DCONFIGFILE="$(SYSCONFPREFIX)/ekeyd.conf"' '-DPIDFILE="$(RUNTIMEPREFIX)/ekeyd.pid"' '-DKEYRINGFILE="$(SYSCONFPREFIX)/keyring"'
LDFLAGS += $(LIBDIRS)

ekey-ulusbd: ekey-ulusbd.o daemonise_ulusbd.o
	$(CC) $(CFLAGS) $(PTHFLAGS) $(LDFLAGS) -o $@ $^ -lusb $(PTHLIBS)

ekey-ulusbd.o: ekey-ulusbd.c
	$(COMPILE.c) $(OUTPUT_OPTION) $(PTHFLAGS) $^

daemonise_ulusbd.o: daemonise.c
	$(COMPILE.c) $(OUTPUT_OPTION) $(PTHFLAGS) $^

egd-linux: egd-linux.o daemonise.o
	$(CC) $(CFLAGS) -o $@ $^

ekeyd: ekeyd.o daemonise.o lstate.o connection.o stream.o frame.o packet.o keydb.o util.o fds.o krnlop.o foldback.o stats.o nonce.o ../device/frames/pem.o ../device/skeinwrap.o ../device/skein/skein.o ../device/skein/skein_block.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

ekey-setkey: ekey-setkey.o util.o stream.o frame.o packet.o keydb.o crc8.o nonce.o ../device/frames/pem.o ../device/skeinwrap.o ../device/skein/skein.o ../device/skein/skein_block.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

control.inc: bin2c.lua control.lua
	lua$(LUA_V) bin2c.lua +control.lua result > control.inc.new
	mv control.inc.new control.inc

lstate.o: lstate.c control.inc

%: %.in
	sed -e's|@PREFIX@|$(PREFIX)|g' -e's|@SYSCONFPREFIX@|$(SYSCONFPREFIX)|g' -e's|@RUNTIMEPREFIX@|$(RUNTIMEPREFIX)|g' -e's|@LUA_V@|$(LUA_V)|g' -e's|@KERNOUTOK@|$(KERNOUTOK)|' -e's|@KERNOUTNOTOK@|$(KERNOUTNOTOK)|' -e's|@EGDSOCK@|$(EGDSOCK)|' -e's|@UDEVOK@|$(UDEVOK)|' < $< > $@
	if test -x $<; then chmod +x $@; fi

clean:
	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd

olddeps:
	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix0 liblua5.1-dev libusb-dev

deps:
	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix1 liblua5.1-dev libusb-dev

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(MANPREFIX)8
	mkdir -p $(DESTDIR)$(MANPREFIX)5
	mkdir -p $(DESTDIR)$(SYSCONFPREFIX)
	install -m 755 ekeyd $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekey-setkey $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekey-rekey $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekeydctl $(DESTDIR)$(PREFIX)/sbin/
ifneq ($(BUILD_ULUSBD),no)
	install -m 755 ekey-ulusbd $(DESTDIR)$(PREFIX)/sbin/
	$(MANZCMD) < ekey-ulusbd.8 > $(DESTDIR)$(MANPREFIX)8/ekey-ulusbd.8$(MANZEXT)
endif
	install -m 644 ekeyd.conf $(DESTDIR)$(SYSCONFPREFIX)
	$(MANZCMD) < ekeyd.8 > $(DESTDIR)$(MANPREFIX)8/ekeyd.8$(MANZEXT)
	$(MANZCMD) < ekey-setkey.8 > $(DESTDIR)$(MANPREFIX)8/ekey-setkey.8$(MANZEXT)
	$(MANZCMD) < ekey-rekey.8 > $(DESTDIR)$(MANPREFIX)8/ekey-rekey.8$(MANZEXT)
	$(MANZCMD) < ekeydctl.8 > $(DESTDIR)$(MANPREFIX)8/ekeydctl.8$(MANZEXT)
	$(MANZCMD) < ekeyd.conf.5 > $(DESTDIR)$(MANPREFIX)5/ekeyd.conf.5$(MANZEXT)
	echo "# Keyring Data file. Managed by ekey-setkey" > $(DESTDIR)$(SYSCONFPREFIX)/keyring

## ekeyd 1.1.3

=== daemon/Makefile ===
--- 
+++ 
@@ -106,6 +106,7 @@
 CFLAGS += -std=c99 -Wall -pedantic -Wshadow -Werror -D_GNU_SOURCE
 CFLAGS += '-DCONFIGFILE="$(SYSCONFPREFIX)/ekeyd.conf"' '-DPIDFILE="$(RUNTIMEPREFIX)/ekeyd.pid"' '-DKEYRINGFILE="$(SYSCONFPREFIX)/keyring"'
 LDFLAGS += $(LIBDIRS)
+CFLAGS += $(EXTRA_CFLAGS)
 
 ekey-ulusbd: ekey-ulusbd.o daemonise_ulusbd.o
 	$(CC) $(CFLAGS) $(PTHFLAGS) $(LDFLAGS) -o $@ $^ -lusb $(PTHLIBS)
@@ -136,7 +137,7 @@
 	if test -x $<; then chmod +x $@; fi
 
 clean:
-	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd
+	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd *.gcda gmon.out
 
 olddeps:
 	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix0 liblua5.1-dev libusb-dev

## ekeyd 1.1.5

=== Makefile ===
#!/bin/make
#
# Entropy key daemon package
#
# Copyright 2011 Simtec Electronics
#
# For licence terms refer to the COPYING file.

# Override any of these on the cmdline to set options. 
# Ensure they are overridden during both build and install.
DESTDIR ?=
PREFIX ?= /usr
DOCPREFIX=${PREFIX}/share/doc/ekeyd
MUNINPLUGINS=${PREFIX}/share/munin/plugins
MUNINPLUGINSCONF=/etc/munin/plugin-conf.d

#optional daemons
BUILD_ULUSBD ?= no
BUILD_EGDLINUX ?= no

# extra install docs
DOCFILES := README.FreeBSD README README.protocol README.Centos5 README.security
ifneq ($(BUILD_EGDLINUX),no)
DOCFILES += README.egd-protocol README.egd-linux
endif

.PHONY: all host install clean

all: host

host:
	${MAKE} -C host BUILD_ULUSB=${BUILD_ULUSBD} BUILD_EGDLINUX=${BUILD_EGDLINUX} DESTDIR=$(DESTDIR} 

clean:
	${MAKE} -C host BUILD_ULUSB=${BUILD_ULUSBD} BUILD_EGDLINUX=${BUILD_EGDLINUX} DESTDIR=$(DESTDIR}  clean

install:
	${MAKE} -C host BUILD_ULUSB=$(BUILD_ULUSBD) BUILD_EGDLINUX=$(BUILD_EGDLINUX) DESTDIR=$(DESTDIR) install
	for DOC in $(DOCFILES) ; do \
	  install -D -m 644 doc/$$DOC $(DESTDIR)/$(DOCPREFIX)/$$DOC ; \
	done
	install -D -m 755 munin/ekeyd_stat_ $(DESTDIR)/$(MUNINPLUGINS)/ekeyd_stat_
	install -D -m 644 munin/plugin-conf.d_ekeyd $(DESTDIR)/${MUNINPLUGINSCONF}/ekeyd

=== device/Makefile ===
all: framer pemtest

RM ?= rm -f

framer: frames/frame.c skeinwrap.c frames/pem.c skein/skein.c skein/skein_block.c
	gcc -DFRAMER_TEST -o $@ $^

pemtest: frames/pem.c
	gcc -DTEST_PEM -o $@ $^

clean:
	$(RM) framer pemtest

=== host/Makefile ===
#!/bin/make
#
# Entropy key daemon and tools
#
# Copyright 2009-2011 Simtec Electronics
#
# For licence terms refer to the COPYING file.


# Override any of these on the cmdline to set options. 
# Ensure they are overridden during both build and install.
DESTDIR ?=
PREFIX ?= /usr
SYSCONFPREFIX ?= /etc/entropykey
RUNTIMEPREFIX ?= /var/run
MANPREFIX ?= $(PREFIX)/share/man/man
BUILD_ULUSBD ?= no
BUILD_EGDLINUX ?= no
RM ?= rm -f
LUA_V ?= 5.1
EXTRA_INC ?=
LUA_INC ?= -I/usr/include/lua5.1
LIBDL ?= -ldl
PTHFLAGS ?=
PTHLIBS ?= -lpthread
KERNOUTOK :=
KERNOUTNOTOK := -- 
EGDSOCK := /etc/entropy
UDEVOK :=
MANZCMD := gzip -c
MANZEXT := .gz

# Current tool version as returned from tools
EKEYD_VERSION_S="1.1.4"

# Attempt to detect an OS and set build options as appropriate
OSNAME=$(shell uname -s | tr A-Z a-z | tr -d /)

ifeq ($(OSNAME),linux)
CFLAGS += -DEKEY_OS_LINUX -DEKEY_FULL_TERMIOS
override BUILD_EGDLINUX:=yes
else
ifeq ($(OSNAME),gnukfreebsd)
# Bizarre hybrid GNU/kFreeBSD platform is sort-of-GNU sort-of-FreeBSD
# So far, only seen in Debian's distribution.
CFLAGS += -DEKEY_OS_FREEBSD
# Incomplete termios support means no -DEKEY_FULL_TERMIOS
# FreeBSD's kernel lacks a kernel mode output
override KERNOUTOK := -- 
override KERNOUTNOTOK :=
# Lua is, however, likely installed in the usual places, so no need to fudge those.
else
ifeq ($(OSNAME),mirbsd)
CFLAGS += -DEKEY_OS_$(shell echo $(OSNAME) | tr a-z A-Z)
# Build the userland USBd support for older versions (recent MirBSD has support)
override BUILD_ULUSBD:=yes
override PTHFLAGS:=-pthread
override PTHLIBS:=
# System dependent settings
override LUA_INC:=
override LUA_V:=
override LIBDL:=
override OPT:=
override UDEVOK:=-- 
override MANZCMD:=cat
override MANZEXT:=
# see RAND_egd(3)
override EGDSOCK:=/var/run/egd-pool
ifeq ($(IN_MIRPORTS),)
# standalone compilation
INCLUDES += -I/usr/mpkg/include
LIBDIRS += -L/usr/mpkg/lib
endif
else
# Other BSDs ?
ifeq ($(findstring bsd,$(OSNAME)),bsd)
# *BSD doesn't have obvious cdc-acm support (may need recompilation of kernel) so offer
# the somewhat more hacky userland USBd support via libusb for now.
CFLAGS += -DEKEY_OS_$(shell echo $(OSNAME) | tr a-z A-Z)
override BUILD_ULUSBD:=yes
ifeq ($(OSNAME),freebsd)
override LUA_V:=-5.1
# FreeBSD's kernel lacks a kernel mode output
override KERNOUTOK := -- 
override KERNOUTNOTOK :=
endif
ifeq ($(OSNAME),openbsd)
override LUA_V:=
override PTHFLAGS:=-pthread
override PTHLIBS:=
override MANZCMD:=cat
override MANZEXT:=
endif
override LUA_INC:=-I/usr/local/include/lua51
override LIBDL:=
LIBDIRS += -L/usr/local/lib
INCLUDES += -I/usr/local/include
endif
endif
endif
endif

# Set up tool flags
INCLUDES += -I../device/frames/ -I../device/ -I../device/skein/ $(LUA_INC) $(EXTRA_INC)
OPT ?= -O2

CFLAGS += $(INCLUDES)
CFLAGS += -g -Wall $(OPT)
CFLAGS += -fno-strict-aliasing
CFLAGS += -std=c99 -Wall -pedantic -Wshadow -Werror -D_GNU_SOURCE
CFLAGS += '-DCONFIGFILE="$(SYSCONFPREFIX)/ekeyd.conf"'
CFLAGS += '-DPIDFILE="$(RUNTIMEPREFIX)/ekeyd.pid"'
CFLAGS += '-DKEYRINGFILE="$(SYSCONFPREFIX)/keyring"'
CFLAGS += '-DEKEYD_VERSION_S=""$(EKEYD_VERSION_S)""'
CFLAGS += $(EXTRA_CFLAGS)

LIBS += -llua$(LUA_V) -lm $(LIBDL)
LDFLAGS += $(LIBDIRS)


all: all-programs all-scripts all-configs

install: all install-ekeyd

all-programs: ekeyd ekey-setkey

ifneq ($(BUILD_ULUSBD),no)
all-programs: ekey-ulusbd
install: install-ekey-ulusbd
endif

ifneq ($(BUILD_EGDLINUX),no)
all-programs: egd-linux
install: install-egd-linux
endif

all-scripts: ekey-rekey ekeydctl

all-configs: ekeyd.conf

ekey-ulusbd: ekey-ulusbd.o daemonise_ulusbd.o
	$(CC) $(CFLAGS) $(PTHFLAGS) $(LDFLAGS) -o $@ $^ -lusb $(PTHLIBS)

ekey-ulusbd.o: ekey-ulusbd.c
	$(COMPILE.c) $(OUTPUT_OPTION) $(PTHFLAGS) $^

daemonise_ulusbd.o: daemonise.c
	$(COMPILE.c) $(OUTPUT_OPTION) $(PTHFLAGS) $^

egd-linux: egd-linux.o daemonise.o
	$(CC) $(CFLAGS) -o $@ $^

ekeyd: ekeyd.o daemonise.o lstate.o connection.o stream.o frame.o packet.o keydb.o util.o fds.o krnlop.o foldback.o stats.o nonce.o ../device/frames/pem.o ../device/skeinwrap.o ../device/skein/skein.o ../device/skein/skein_block.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

ekey-setkey: ekey-setkey.o util.o stream.o frame.o packet.o keydb.o crc8.o nonce.o ../device/frames/pem.o ../device/skeinwrap.o ../device/skein/skein.o ../device/skein/skein_block.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

control.inc: bin2c.lua control.lua
	lua$(LUA_V) bin2c.lua +control.lua result > control.inc.new
	mv control.inc.new control.inc

lstate.o: lstate.c control.inc

%: %.in
	sed -e's|@PREFIX@|$(PREFIX)|g' -e's|@SYSCONFPREFIX@|$(SYSCONFPREFIX)|g' -e's|@RUNTIMEPREFIX@|$(RUNTIMEPREFIX)|g' -e's|@LUA_V@|$(LUA_V)|g' -e's|@KERNOUTOK@|$(KERNOUTOK)|' -e's|@KERNOUTNOTOK@|$(KERNOUTNOTOK)|' -e's|@EGDSOCK@|$(EGDSOCK)|' -e's|@UDEVOK@|$(UDEVOK)|' -e's|@EKEYD_VERSION_S@|$(EKEYD_VERSION_S)|' < $< > $@
	if test -x $<; then chmod +x $@; fi

install-ekey-ulusbd:
	mkdir -p $(DESTDIR)$(PREFIX)/sbin
	install -m 755 ekey-ulusbd $(DESTDIR)$(PREFIX)/sbin/
	mkdir -p $(DESTDIR)$(MANPREFIX)8
	$(MANZCMD) < ekey-ulusbd.8 > $(DESTDIR)$(MANPREFIX)8/ekey-ulusbd.8$(MANZEXT)

install-egd-linux:
	mkdir -p $(DESTDIR)$(PREFIX)/sbin
	install -m 755 egd-linux $(DESTDIR)$(PREFIX)/sbin/
	mkdir -p $(DESTDIR)$(MANPREFIX)8
	$(MANZCMD) < egd-linux.8 > $(DESTDIR)$(MANPREFIX)8/egd-linux.8$(MANZEXT)

install-ekeyd:
	mkdir -p $(DESTDIR)$(PREFIX)/sbin
	install -m 755 ekeyd $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekey-setkey $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekey-rekey $(DESTDIR)$(PREFIX)/sbin/
	install -m 755 ekeydctl $(DESTDIR)$(PREFIX)/sbin/
	mkdir -p $(DESTDIR)$(MANPREFIX)8
	$(MANZCMD) < ekeyd.8 > $(DESTDIR)$(MANPREFIX)8/ekeyd.8$(MANZEXT)
	$(MANZCMD) < ekey-setkey.8 > $(DESTDIR)$(MANPREFIX)8/ekey-setkey.8$(MANZEXT)
	$(MANZCMD) < ekey-rekey.8 > $(DESTDIR)$(MANPREFIX)8/ekey-rekey.8$(MANZEXT)
	$(MANZCMD) < ekeydctl.8 > $(DESTDIR)$(MANPREFIX)8/ekeydctl.8$(MANZEXT)
	mkdir -p $(DESTDIR)$(MANPREFIX)5
	$(MANZCMD) < ekeyd.conf.5 > $(DESTDIR)$(MANPREFIX)5/ekeyd.conf.5$(MANZEXT)
	mkdir -p $(DESTDIR)$(SYSCONFPREFIX)
	install -m 644 ekeyd.conf $(DESTDIR)$(SYSCONFPREFIX)
	echo "# Keyring Data file. Managed by ekey-setkey" > $(DESTDIR)$(SYSCONFPREFIX)/keyring
	chmod 0600 $(DESTDIR)$(SYSCONFPREFIX)/keyring

clean:
	$(RM) rdpkt ekeyd ekey-setkey *.o control.inc ../device/skeinwrap.o ../device/frames/pem.o ../device/skein/skein.o ../device/skein/skein_block.o ekeyd.conf ekey-rekey egd-linux control.inc.new ekeydctl ekey-ulusbd *.gcda gmon.out

olddeps:
	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix0 liblua5.1-dev libusb-dev

deps:
	sudo apt-get install lua5.1 liblua5.1-socket2 liblua5.1-posix1 liblua5.1-dev libusb-dev

=== debian/changelog ===
ekeyd (1.1.5-8) unstable; urgency=medium

  * QA upload.

  [ Samuel Thibault ]
  * d/control: Generalize into kfreebsd-any and hurd-any.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2024 16:34:58 +0200

ekeyd (1.1.5-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 1.1.4-1.
  * Changed maintainer to Debian QA group, as this package is
    currently unmaintained.
  * Added AppStream metainfo XML with hardware provide
    info (Closes: #836386).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Aug 2024 23:56:57 +0200

ekeyd (1.1.5-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Delegate placement of udev files to pkg-config data
    * Update dh compat for substitutions in .install files.
  * Cleanup uploaders list (Closes: #889304, #1050646)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make. (Closes:
    #888775)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 08 Dec 2023 00:24:37 +0100

ekeyd (1.1.5-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Be compatible with newer versions of lua-socket (Closes: #852380).
    Based on patches from Mathieu Parent and Courtney Bane.
  * d/control: Make both binary packages depend on lsb-base for
    /lib/lsb/init-functions, as detected by Lintian

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2017 15:42:08 +0000

ekeyd (1.1.5-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "fails to remove: subprocess installed post-removal script
    returned error exit status 1":
    apply patch from Cameron Norman to ekeyd.postrm:
    use invoke-rc.d instead of calling udevcontrol and udevadm.
    (Closes: #767671)

 -- gregor herrmann <gregoa@debian.org>  Mon, 24 Nov 2014 21:46:45 +0100

ekeyd (1.1.5-6) unstable; urgency=low

  * Fix incorrect variable reference in Makefile. (Closes: #718106)
    Thanks to Peter Michael Green.
  * Depend on lua-socket instead of liblua5.1-socket2, as the latter is no
    longer in jessie. Again, thanks to Peter Michael Green.

 -- Paul Martin <pm@debian.org>  Sun, 29 Sep 2013 23:48:12 +0100

ekeyd (1.1.5-5) unstable; urgency=low

  * Have init scripts not terminate if start-stop-daemon exits with an
    error. (Closes: #709204)

 -- Paul Martin <pm@debian.org>  Tue, 21 May 2013 16:17:40 +0100

ekeyd (1.1.5-4) unstable; urgency=low

  * Mea maxima culpa release.
  * In the transition to dh, many files were given wrong names (not
    renamed -- curse you dh_install) and so the postinst script errored.
    The package was therefore not installable. In fixing this, it was found
    that previous packagings were faulty too:
    + /usr/sbin/egd-linux and egd-linux.8 were installed in the ekeyd package.
    + udev rules were named 60-UDEKEY01.rules instead of 60-ekeyd.rules
  * Patch:
    + versionfix.patch: The upstream version number was still being
      reported as 1.1.4.

 -- Paul Martin <pm@debian.org>  Fri, 18 May 2012 13:28:08 +0100

ekeyd (1.1.5-3) unstable; urgency=low

  * Update to debhelper 9 and use the dh sequencer.
  * Patch:
    + harden-egd.patch: let egd-linux be linked with hardened flags.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 17:05:58 +0100

ekeyd (1.1.5-2) unstable; urgency=low

  * Brown paper bag.
    + debian/ekeyd.postinst didn't get updated. (Closes: #640597)
    + debian/ekeyd-egd-linux.default didn't get updated. (Closes: #576387)

 -- Paul Martin <pm@debian.org>  Fri, 16 Dec 2011 13:47:19 +0000

ekeyd (1.1.5-1) unstable; urgency=low

  * New upstream release

  [ Vincent Sanders ]
  * Fix postinstall failure when udev is not installed. (Closes: #640597)
    Thanks to gregor herrmann for NMU.

  [ Paul Martin ]
  * Fix escaping of slashes in key's serial number for munin scripts.
    (Closes: #598317)
  * Make the default for ekeyd-egd-linux be to retry a connection if it
    fails. (Closes: #576387)
  * Fix the ekey-rekey manpage to document that the serial number can be
    guessed automatically and that the master key will be prompted for if
    not provided on the command line. (Fixes Ubuntu bug 625446.)
  * Remove confusing Lua long-comments from ekeyd.conf.

 -- Paul Martin <pm@debian.org>  Wed, 14 Dec 2011 16:13:32 +0000

ekeyd (1.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "installation fails": only reload udev in the postinst if it's
    installed (udev is only in Recommends) (Closes: #640597)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Nov 2011 14:26:06 +0100

ekeyd (1.1.4-1) unstable; urgency=low

  * New upstream release
    - EGD code will now timeout and retry if the server appears to
      go away or go silent.  (Closes: #623995)
    - README refers to /etc/entropykey/ekeyd.conf  (Closes: #592762)
    - ekey-rekey can now find the ekey if it's the only one present
      and will prompt for a master-key if not supplied on the cmdline.
      (Closes: #619106, #619107)
    -  ekey-rekey will remove spaces from the masterkey supplied on
       the commandline and ekey-setkey will remove them if they are
       entered when prompted.  (Closes: #619108)
  * Change to linux-any now that the packaging doesn't have to support
    older Debian-derived distributions.  (Closes: #596600, #634711)
  * Use log_daemon_msg when ekeyd is disabled.  (Closes: #578824)
  * Use invoke-rc.d for udev rules reload in postinst.  (Closes: #624211)
  * Added Paul Martin to Uploaders.

 -- Daniel Silverstone <dsilvers@debian.org>  Tue, 21 Jun 2011 15:50:00 +0100

ekeyd (1.1.3-3.1) unstable; urgency=low

  * NMU, added armhf support. (Closes: #605842)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 13:46:15 +0000

ekeyd (1.1.3-3) unstable; urgency=low



=== debian/control ===
Source: ekeyd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               liblua5.1-dev | liblua5.1-0-dev,
               lua5.1,
               pkgconf,
               systemd-dev,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/ekeyd
Vcs-Git: https://salsa.debian.org/debian/ekeyd.git

Package: ekeyd
Architecture: any
Depends: lsb-base,
         lua-socket,
         lua5.1,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: udev [!kfreebsd-any !hurd-any],
Suggests: munin-node,
Description: Simtec Electronics UDEKEY01 Entropy Key Daemon
 This is a driver for the Simtec Electronics Entropy Key.  It is
 only needed if you have such a device (or devices).  It provides
 a daemon and tools to drive and control it, as well as options
 for injecting entropy directly into the kernel's pool, or serving
 it via the EGD protocol.

Package: ekeyd-egd-linux
Architecture: linux-any
Depends: lsb-base,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ekeyd,
Description: Transfers entropy from an EGD to the Linux kernel pool
 This utility reads from an EGD capable service over TCP and writes
 the entropy retrieved to the Linux kernel random pool. Typically
 this will be used on clusters or virtual hosts where direct access
 to useful entropy is hard.

=== debian/rules ===
#!/usr/bin/make -f

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C host clean

override_dh_auto_build:
	dh_auto_build --sourcedirectory=host -- BUILD_ULUSBD=no

override_dh_auto_install:
	install -m 644 munin/plugin-conf.d_ekeyd debian/ekeyd/etc/munin/plugin-conf.d/ekeyd
	install -m 644 debian/ekeyd.default debian/ekeyd/etc/default/ekeyd
	install -m 600 debian/ekeyd.keyring debian/ekeyd/etc/entropykey/keyring
	if [ -d debian/ekeyd-egd-linux ] ; then \
	 install -m 755 host/egd-linux debian/ekeyd-egd-linux/usr/sbin/ekeyd-egd-linux; \
	 install -m 644 debian/ekeyd-egd-linux.default debian/ekeyd-egd-linux/etc/default/ekeyd-egd-linux ; \
	 install -m 644 host/egd-linux.8 debian/ekeyd-egd-linux/usr/share/man/man8/ekeyd-egd-linux.8 ; \
	fi

override_dh_fixperms:
	dh_fixperms
	chmod 0755 debian/ekeyd/usr/share/munin/plugins/ekeyd_stat_
	chmod 0755 debian/ekeyd/$(deb_udevdir)/entropykey.sh
